package com.altimetrik.articles.entity;

import java.util.ArrayList;
import java.util.List;


public class Article implements Comparable<Article> {
	private Integer id;
	private String title;
	private String description;
	private List<String> tags = new ArrayList<>();
	private Long vote;
	private String createdDate;
	private String createdBy;
	private String updatedDate;
	private String updatedBy;

	

	public Article() {
		super();
	
	}
	public Article(Integer id, String title, String description, List<String> tags, Long vote, String createdDate,
			String createdBy, String updatedDate, String updatedBy) {
		super();
		this.id = id;
		this.title = title;
		this.description = description;
		this.tags = tags;
		this.vote = vote;
		this.createdDate = createdDate;
		this.createdBy = createdBy;
		this.updatedDate = updatedDate;
		this.updatedBy = updatedBy;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public List<String> getTags() {
		return tags;
	}
	public void setTags(List<String> tags) {
		this.tags = tags;
	}
	public Long getVote() {
		return vote;
	}
	public void setVote(Long vote) {
		this.vote = vote;
	}
	public String getCreatedDate() {
		return createdDate;
	}
	public void setCreatedDate(String createdDate) {
		this.createdDate = createdDate;
	}
	public String getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}
	public String getUpdatedDate() {
		return updatedDate;
	}
	public void setUpdatedDate(String updatedDate) {
		this.updatedDate = updatedDate;
	}
	public String getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(String updatedBy) {
		this.updatedBy = updatedBy;
	}

	
	@Override
	public int compareTo(Article o) {
		if (o.getVote() > this.getVote()) {
			return 2;
		}
		else if (o.getVote() < this.getVote()) {
			return -1;
		}
		else {
			return 0;
		}

	}

}
